<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE erlref SYSTEM "erlref.dtd">

<erlref>
  <header>
    <copyright>
      <year>2000</year>
      <year>2013</year>
      <holder>Ericsson AB, All Rights Reserved</holder>
    </copyright>
    <legalnotice>
  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at
 
      http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The Initial Developer of the Original Code is Ericsson AB.
    </legalnotice>

    <title>CosNotifyComm_NotifySubscribe</title>
    <prepared></prepared>
    <responsible></responsible>
    <docno></docno>
    <approved></approved>
    <checked></checked>
    <date>2000-02-01</date>
    <rev>1.0</rev>
  </header>
  <module>CosNotifyComm_NotifySubscribe</module>
  <modulesummary>This module implements the OMG CosNotifyComm::NotifySubscribe interface.</modulesummary>
  <description>
    <p>To get access to the record definitions for the structures use:      <br></br>
<c>-include_lib("cosNotification/include/*.hrl").</c></p>
    <p>All objects, which inherit this interface, export functions described in this module.</p>
  </description>
  <funcs>
    <func>
      <name>subscription_change(Object, Added, Removed) -> Reply</name>
      <fsummary>Inform the target object which event types the client will  and will not accept in the future</fsummary>
      <type>
        <v>Object = #objref</v>
        <v>Added = Removed = EventTypeSeq</v>
        <v>EventTypeSeq = [type]</v>
        <v>Reply = ok | {'EXCEPTION', CosNotifyComm_InvalidEventType{type}}</v>
        <v>type = #'CosNotification_EventType'{domain_name, type_name}</v>
        <v>domain_name = type_name = string()</v>
      </type>
      <desc>
        <p>This operation takes as input two sequences of event type names
          specifying events the client will and will not accept in the future
          respectively.</p>
      </desc>
    </func>
  </funcs>
  
</erlref>

